| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelCallStateMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ChannelCallStateMap ()
- ChannelCallStateMap (const QMap< uint, uint > &a)
- ChannelCallStateMap & operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt4 type system.

A map from contacts to call states.

## Constructor & Destructor Documentation

ChannelCallStateMap | ( |  | ) | `[inline]`

ChannelCallStateMap | ( | const QMap< uint, uint > & | a | ) | `[inline]`

## Member Function Documentation

ChannelCallStateMap& operator= | ( | const QMap< uint, uint > & | a | ) | `[inline]`